Subject: [Sip] TCAP from SIP

From: "Frank W. Miller" <[email-masked]>
Date: Thu, 5 Jul 2001 11:21:52 -0400

Not sure which is the right list for this
one...

Has anyone thought about whats necessary
for SIP to be used to invoke TCAP functions
on the SS7 network?  For example, a SIP
UA may need to perform a TCAP dip for
a Calling Name on an incoming call.

I've looked over the mailing list archives
and meetings minutes and found some cursory
references to TCAP but nothing substantially
similar to what I'm asking here.  I'd luv
it if I have overlooked or not heard of 
something.

I have thought of allowing TCAP invokations
to be carried in INFO messages.  The invokation
could be carried as a MIME type that is a
text represenation of the TCAP method and
parameters.  This representation could be
translated into SS7 at the signaling gateway.

I'm working on the specifics of it but would
like to get some feedback before I waste too
much time on it.

Thanks,
FM

--
Frank W. Miller, Ph.D.
Chief Technical Officer
sentitO Networks, Inc.
www.sentito.com 

_______________________________________________
Sip mailing list  http://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip